package pl.smi.sms.active.ra;

import javax.resource.spi.InvalidPropertyException;

import pl.smi.sms.active.ra.ejbc.EJBCActivityInitiator;

public class ActivityConnectionFactory {

	public static ActivityData getActivityData(String connectionDataString)
			throws InvalidPropertyException {
		if (connectionDataString.startsWith("jndi://")) {
			return new JNDIActivityData(connectionDataString.substring(7));
		}

		throw new InvalidPropertyException("ErrorCode.ACT_ERR_0003.getMessage()"
				+ ":" + connectionDataString, "ErrorCode.ACT_ERR_0003.name()");
	}

	public static ActivityInitiator getActivityInitiator(
			ActivityData activityData) {
		if (activityData instanceof JNDIActivityData) {
			return new EJBCActivityInitiator((JNDIActivityData) activityData);
		}
		return null;
	}

	public static ActivityInitiator getActivityInitiator(
			String connectionDataString) throws InvalidPropertyException {

		return getActivityInitiator(getActivityData(connectionDataString));
	}
}
