package pl.smi.sms.active;

import java.util.logging.Logger;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;

import pl.smi.sms.active.manager.SMSBeanRemote;
import pl.smi.sms.active.process.ActivityProcessableRemote;

/**
 * Servlet implementation class for Servlet: LifeCycleServlet
 * 
 */
public final class LifeCycleServlet extends javax.servlet.http.HttpServlet
		implements javax.servlet.Servlet {

	private transient java.util.logging.Logger logger;

	@Override
	public String getServletInfo() {
		return "LifeCycleServlet";
	}

	@Override
	public void init() throws ServletException {
		getLogger().info("--------- start 1");
		InitialContext ctx;
		try {
			
			ctx = new javax.naming.InitialContext();
			Object lookup = ctx
					.lookup("ejb/sms/active/module/EJBCActivityTest");
			ActivityProcessableRemote activity = (ActivityProcessableRemote) lookup;
			activity.doInit();
		} catch (NamingException e) {
			e.printStackTrace();
		}
		
		getLogger().info("--------- start 2");
		try {
			
			ctx = new javax.naming.InitialContext();
			Object lookup = ctx
					.lookup("ejb/sms/active/SMSMainBean");
			SMSBeanRemote activity = (SMSBeanRemote) lookup;
			activity.onTextMessage("message");
		} catch (NamingException e) {
			e.printStackTrace();
		}
		
//		getLogger().info("--------- start 3");
//		try {
//			
//			ctx = new javax.naming.InitialContext();
//			Object lookup = ctx.lookup("sms-active-test-ra");
//			EJBCConnectionFactory factory = (EJBCConnectionFactory) lookup;
//			factory.getConnection().doInit();
//			
//		} catch (NamingException e) {
//			e.printStackTrace();
//		} catch (ResourceException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		}
		
		super.init();
	}

	public java.util.logging.Logger getLogger() {
		return logger == null ? logger = Logger
				.getLogger(LifeCycleServlet.class.getName()) : logger;
	}

}